POST   checks/composite_uptime

Get a business composite check result that is an amalgamation of the last 24 hours from multiple checks.

Remarks

The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/composite_uptime?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "check_tags": {
    "include_tag": [
      "TagKey",
      "~TagValue",
      "TagKey~TagValue1;TagValue2",
      ".TagKeyId~TagValue",
      "TagKey~.TagValueId"
    ],
    "exclude_tag": [
      "TagKey",
      "~TagValue",
      "TagKey~TagValue1;TagValue2",
      ".TagKeyId~TagValue",
      "TagKey~.TagValueId"
    ]
  },
  "critical_check_tags": {
    "include_tag": [
      "TagKey",
      "~TagValue",
      "TagKey~TagValue1;TagValue2",
      ".TagKeyId~TagValue",
      "TagKey~.TagValueId"
    ],
    "exclude_tag": [
      "TagKey",
      "~TagValue",
      "TagKey~TagValue1;TagValue2",
      ".TagKeyId~TagValue",
      "TagKey~.TagValueId"
    ]
  },
  "weights": [
    {
      "check_tags": {
        "include_tag": [
          "TagKey",
          "~TagValue",
          "TagKey~TagValue1;TagValue2",
          ".TagKeyId~TagValue",
          "TagKey~.TagValueId"
        ],
        "exclude_tag": [
          "TagKey",
          "~TagValue",
          "TagKey~TagValue1;TagValue2",
          ".TagKeyId~TagValue",
          "TagKey~.TagValueId"
        ]
      },
      "weight": 1
    },
    {
      "check_tags": {
        "include_tag": [
          "TagKey",
          "~TagValue",
          "TagKey~TagValue1;TagValue2",
          ".TagKeyId~TagValue",
          "TagKey~.TagValueId"
        ],
        "exclude_tag": [
          "TagKey",
          "~TagValue",
          "TagKey~TagValue1;TagValue2",
          ".TagKeyId~TagValue",
          "TagKey~.TagValueId"
        ]
      },
      "weight": 1
    },
    {
      "check_tags": {
        "include_tag": [
          "TagKey",
          "~TagValue",
          "TagKey~TagValue1;TagValue2",
          ".TagKeyId~TagValue",
          "TagKey~.TagValueId"
        ],
        "exclude_tag": [
          "TagKey",
          "~TagValue",
          "TagKey~TagValue1;TagValue2",
          ".TagKeyId~TagValue",
          "TagKey~.TagValueId"
        ]
      },
      "weight": 1
    }
  ]
}"
NameType Required Description
check_tagsObjectNo

Tags of checks to get composite result.

include_tagArrayNo

Check tag filter to include in selection.

exclude_tagArrayNo

Check tag filter to exclude from selection.

critical_check_tagsObjectNo

If a check is in the critical check tags section and it is failing the composite result will be failing no matter how many other checks are working.

include_tagArrayNo

Check tag filter to include in selection.

exclude_tagArrayNo

Check tag filter to exclude from selection.

weightsArrayNo

If a check is weighted it’s uptime score will be multiplied by the value in the weights section. All checks have a default weight of 1.

check_tagsObjectNo

Tags of checks for specified weight.

include_tagArrayNo

Check tag filter to include in selection.

exclude_tagArrayNo

Check tag filter to exclude from selection.

weightIntegerNo

If a check is weighted it’s uptime score will be multiplied by the weight value. Default weight is 1.

Response body model example and description

{
  "uptime_score": 0.9,
  "downtime_score": 1.9,
  "uptime_ratio": 2.9
}
NameType Description
uptime_scoreFloat

Uptime score.

downtime_scoreFloat

Downtime score.

uptime_ratioFloat

Uptime ratio.